# Class VulkanPipelineTessellationStateCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineTessellationStateCreateInfo.Builder

Enclosing class:
  `VulkanPipelineTessellationStateCreateInfo`

public static final class VulkanPipelineTessellationStateCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineTessellationStateCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineTessellationStateCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineTessellationStageCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineTessellationStateCreateInfo.Builder`
  `addFlags(VulkanPipelineTessellationStageCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineTessellationStateCreateInfo.Builder`
  `addFlags(VulkanPipelineTessellationStageCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanPipelineTessellationStateCreateInfo`
  `build()`
  Builds a new `VulkanPipelineTessellationStateCreateInfo`.
  `final VulkanPipelineTessellationStateCreateInfo.Builder`
  `from(VulkanPipelineTessellationStateCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineTessellationStateCreateInfoType` instance.
  `final VulkanPipelineTessellationStateCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineTessellationStageCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineTessellationStateCreateInfo.Builder`
  `setPatchControlPoints(int patchControlPoints)`
  Initializes the value for the `patchControlPoints` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineTessellationStateCreateInfo.Builder from(VulkanPipelineTessellationStateCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineTessellationStateCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineTessellationStateCreateInfo.Builder addFlags(VulkanPipelineTessellationStageCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineTessellationStateCreateInfo.Builder addFlags(VulkanPipelineTessellationStageCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineTessellationStateCreateInfo.Builder setFlags(Iterable<VulkanPipelineTessellationStageCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineTessellationStateCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineTessellationStageCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setPatchControlPoints

    public final VulkanPipelineTessellationStateCreateInfo.Builder setPatchControlPoints(int patchControlPoints)
    Initializes the value for the `patchControlPoints` attribute.
    Parameters:
      `patchControlPoints` - The value for patchControlPoints
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineTessellationStateCreateInfo build()
    Builds a new `VulkanPipelineTessellationStateCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineTessellationStateCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing